Loading...
Searching...
No Matches
janus_videoroom_subscriber Struct Reference
Collaboration diagram for janus_videoroom_subscriber:
[legend]

## Data Fields

janus_videoroom_session * | session
janus_videoroom * | room
guint64 | room_id
gchar * | room_id_str
GList * | streams
GHashTable * | streams_byid
GHashTable * | streams_bymid
janus_mutex | streams_mutex
gboolean | use_msid
gboolean | autoupdate
guint32 | pvt_id
gboolean | paused
gboolean | kicked
gboolean | e2ee
volatile gint | answered
volatile gint | pending_offer
volatile gint | pending_restart
volatile gint | skipped_autoupdate
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## answered

volatile gint janus_videoroom_subscriber::answered

## autoupdate

gboolean janus_videoroom_subscriber::autoupdate

## destroyed

volatile gint janus_videoroom_subscriber::destroyed

## e2ee

gboolean janus_videoroom_subscriber::e2ee

## kicked

gboolean janus_videoroom_subscriber::kicked

## paused

gboolean janus_videoroom_subscriber::paused

## pending_offer

volatile gint janus_videoroom_subscriber::pending_offer

## pending_restart

volatile gint janus_videoroom_subscriber::pending_restart

## pvt_id

guint32 janus_videoroom_subscriber::pvt_id

## ref

janus_refcount janus_videoroom_subscriber::ref

## room

janus_videoroom* janus_videoroom_subscriber::room

## room_id

guint64 janus_videoroom_subscriber::room_id

## room_id_str

gchar* janus_videoroom_subscriber::room_id_str

## session

janus_videoroom_session* janus_videoroom_subscriber::session

## skipped_autoupdate

volatile gint janus_videoroom_subscriber::skipped_autoupdate

## streams

GList* janus_videoroom_subscriber::streams

## streams_byid

GHashTable* janus_videoroom_subscriber::streams_byid

## streams_bymid

GHashTable* janus_videoroom_subscriber::streams_bymid

## streams_mutex

janus_mutex janus_videoroom_subscriber::streams_mutex

## use_msid

gboolean janus_videoroom_subscriber::use_msid

The documentation for this struct was generated from the following file:

- janus_videoroom.c